Returns the ReadPreference's "maxStalenessSeconds" option

- « MongoDB\Driver\ReadPreference::getHedge

- MongoDB\Driver\ReadPreference::getMode »

- PHP Manual
- MongoDB\Driver\ReadPreference
- Returns the ReadPreference's "maxStalenessSeconds" option

# MongoDB\Driver\ReadPreference::getMaxStalenessSeconds

(mongodb >=1.2.0)

MongoDB\Driver\ReadPreference::getMaxStalenessSeconds — Returns the ReadPreference's "maxStalenessSeconds" option

### Description

final public MongoDB\Driver\ReadPreference::getMaxStalenessSeconds(): int

### Parameters

This function has no parameters.

### Return Values

Returns the ReadPreference's "maxStalenessSeconds" option. If no max staleness has been specified, `MongoDB\Driver\ReadPreference::NO_MAX_STALENESS` will be returned.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### Examples

Example #1 MongoDB\Driver\ReadPreference::getMaxStalenessSeconds() example

    <?php$rp = new MongoDB\Driver\ReadPreference(MongoDB\Driver\ReadPreference::RP_SECONDARY);var_dump($rp->getMaxStalenessSeconds());$rp = new MongoDB\Driver\ReadPreference(MongoDB\Driver\ReadPreference::RP_SECONDARY, null, [    'maxStalenessSeconds' => MongoDB\Driver\ReadPreference::NO_MAX_STALENESS,]);var_dump($rp->getMaxStalenessSeconds());$rp = new MongoDB\Driver\ReadPreference(MongoDB\Driver\ReadPreference::RP_SECONDARY, null, [    'maxStalenessSeconds' => MongoDB\Driver\ReadPreference::SMALLEST_MAX_STALENESS_SECONDS,]);var_dump($rp->getMaxStalenessSeconds());$rp = new MongoDB\Driver\ReadPreference(MongoDB\Driver\ReadPreference::RP_SECONDARY, null, [    'maxStalenessSeconds' => 1000,]);var_dump($rp->getMaxStalenessSeconds());?>

The above example will output:

    int(-1)
    int(-1)
    int(90)
    int(1000)

### See Also

- » Read Preference reference